﻿using System;
using System.Linq;
using GestioDespeses;

namespace Dades
{
    public class DAAutoritzacio
    {
        //Afegeix el motiu per el qual la sol·licitud ha estat rebutjada
        public void AfegirRebuig(int solicitud, string rebuig)
        {
            try
            {
                int id = idAuto();
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    bd.DBAUTORITZACIOSOLICITUD.AddObject(new DBAUTORITZACIOSOLICITUD
                    {
                        IDAUTORITZACIO = id,
                        IDSOLICITUD = solicitud,
                        AUTDESCRIPCIOREBUIG = rebuig,
                        AUTDATAREBUIG = DateTime.Now
                    });
                    bd.SaveChanges();
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Retorna id més alt introduit i suma 1
        public int idAuto()
        {
            SolicitudsEntities bd = new SolicitudsEntities();
            int id = (from aut in bd.DBAUTORITZACIOSOLICITUD
                      select (int?)aut.IDAUTORITZACIO).Max() ?? 0;
            int _id = id + 1;
            return _id;
        }
    }
}
