﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="Menu.aspx.cs" Inherits="GestioDespeses.Menu" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script src="~/Scripts/JScript.js" type="text/javascript"></script>
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="true"
        runat="server">
    </asp:ToolkitScriptManager>
    <div align="left" class="content">
        <h3>
            Dades personals
        </h3>
        <p>
            <asp:Label ID="lbDNI" runat="server" Text="DNI" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:Label ID="lbDNIUsuari" runat="server" Text=""></asp:Label>
            <br />
            <asp:Label ID="lbNom" runat="server" Text="Nom" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:Label ID="lbNomUsuari" runat="server" Text=""></asp:Label>
            <br />
            <asp:Label ID="lbEmail" runat="server" Text="Email" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:Label ID="lbEmailUsuari" runat="server" Text=""></asp:Label>
        </p>
    </div>
    <div align="left" class="content">
        <h3>
            Formulari de despeses
        </h3>
        <p>
            <asp:Label ID="lbImport" runat="server" Text="Import" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:TextBox ID="txtImport" runat="server" Width="100px"></asp:TextBox>
            <br />
            <asp:Label ID="lbData" runat="server" Text="Data" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:TextBox ID="txtData" runat="server" Width="100px"></asp:TextBox>
            <asp:Image ID="btnCalendar" runat="server" ImageUrl="~/Images/Calendari.png" Style="width: 16px" />
            <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtData"
                PopupButtonID="btnCalendar">
            </asp:CalendarExtender>
            <br />
            <asp:Label ID="lbTipologia" runat="server" Text="Tipologia" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:DropDownList ID="DropDownList1" runat="server" 
                DataSourceID="EntityDataSource1" DataTextField="TIPDESCRIPCIO" 
                DataValueField="TIPDESCRIPCIO" Width="170px" AppendDataBoundItems="True" >
                <asp:ListItem></asp:ListItem>               
            </asp:DropDownList>
            <asp:EntityDataSource ID="EntityDataSource1" runat="server" 
                ConnectionString="name=SolicitudsEntities" 
                DefaultContainerName="SolicitudsEntities" EnableFlattening="False" 
                EntitySetName="DBTIPOLOGIA" Select="it.[TIPDESCRIPCIO]">
            </asp:EntityDataSource>
            <asp:ListSearchExtender ID="DropDownList1_ListSearchExtender" runat="server" Enabled="True"
                TargetControlID="DropDownList1">
            </asp:ListSearchExtender>
            <br />
            <asp:Label ID="lbDesripcio" runat="server" Text="Descripció" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:TextBox ID="txtDescipcio" runat="server" Width="234px"></asp:TextBox>
            <br />
            <asp:Label ID="lbArxiu" runat="server" Text="Afegir arxiu" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:FileUpload ID="FileUpload1" runat="server" />
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="Extensions pdf, doc, xls o jpg."
                ForeColor="#CC0000" ValidationExpression="^(([a-zA-Z]:)|(\\{2}\w+)\$?)(\\(\w[\w].*))+(.pdf|.doc|xls|.jpg)$"
                ControlToValidate="FileUpload1">
            </asp:RegularExpressionValidator>
            <asp:Label ID="lbErrorArxiu" runat="server" Text=""></asp:Label>
            <br />
        </p>
        <asp:Button ID="btnAutoritzar" runat="server" Text="Enviar Autoritzar" CssClass="btnAfegir"
            OnClick="btnAutoritzar_Click1"></asp:Button>
        <asp:Button ID="btnGuardar" runat="server" Text="Guardar" CssClass="btnAfegir" OnClick="btnGuardar_Click">
        </asp:Button>
        <asp:Button ID="btnCancelar" runat="server" Text="Cancel·lar" CssClass="btnAfegir"
            OnClick="btnCancelar_Click"></asp:Button>        
    </div>
</asp:Content>
