﻿using System;
using System.Collections.Generic;
using Dades;
using GestioDespeses;

namespace Negoci
{
    /// <summary>
    /// Calendari de dies festius
    /// </summary>
    public class BLCalendari
    {
        public int idCalendari { get; set; }
        //Retorna id Calendari
        public static int GetIdCalendari(DateTime data)
        {
            return new DACalendari().GetIdCalendari(data);
        }
        //Llista dies festiu
        public static List<DBCALENDARI> GetFestius()
        {
            return new DACalendari().GetFestius();
        }
        //Comprova si ja està introduït com dia festiu
        public static int IsFestiu(DateTime festiu)
        {
            return new DACalendari().IsFestiu(festiu);
        }
        //Afegeix nou dia festiu
        public static void AfegirFestiu(DateTime festiu, string descripcio)
        {
            new DACalendari().AfegirFestiu(festiu, descripcio);
        }
        //Elimina dia festiu
        public static void EliminarFestiu(int idFestiu)
        {
            new DACalendari().EliminarFestiu(idFestiu);
        }
        //Retorna descripcio Calendari
        public static string GetDescripcioCalendari(DateTime data)
        {
            return new DACalendari().GetDescripcioCalendari(data);
        }        
    }
}
