﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dades;

namespace Negoci
{
    /// <summary>
    /// Tipologia de la despesa
    /// </summary>
    public class BLTipologia
    {
        public int idTipologia { get; set; }

        //Retorna id tipologia
        public static int GetIdTipologia(string tipus)
        {
            return new DATipologia().GetIdTipologia(tipus);
        }
        //Retorna descripció tipologia
        public static string GetDescripcioTipologia(int tipus)
        {
            return new DATipologia().GetDescripcioTipologia(tipus);
        }
        //Elimina tipologia
        public static void Eliminar(string tipus)
        {
            new DATipologia().Eliminar(tipus);
        }
        //Modifica tipologia
        public static void Modificar(string tipus, string descripcio)
        {
            new DATipologia().Modificar(tipus, descripcio);
        }
        //Alta nova tipologia
        public static void Alta(string descripcio)
        {
            new DATipologia().Alta(descripcio);
        }

    }
}
