﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dades;
using Entities;
using GestioDespeses;

namespace Negoci
{
    /// <summary>
    /// Usuari
    /// </summary>
    public class BLUsuari
    {
        public BLTipologia idTipologia { get; set; }
        public int idUsuari { get; set; }
        //Retorna id Usuari
        public static int GetIdUsuari(string dni)
        {
            return new DAUsuari().GetIdUsuari(dni);
        }
        //Retorna id usuari si coincideix dni i clau
        public static int LoginUsuari(string usuari, string clau)
        {
            return new DAUsuari().LoginUsuari(usuari, clau);
        }
        //Llista dades usuari del id solicitud
        public static List<DBUSUARI> GetDniUsuari(int solicitud)
        {
            return new DAUsuari().GetDniUsuari(solicitud);
        }
      
        //Dades usuari 
        public static DBUSUARI GetDni(int idusuari)
        {
            return new DAUsuari().GetDni(idusuari);
        }
        //Alta nou usuari
        public static void AfegirUsuari(Usuari _usuari)
        {
            DAUsuari usu = new DAUsuari();
            usu.AfegirUsuari(_usuari);
        }
        //Modifica usuari
        public static void UpdateUsuari(Usuari _usuari)
        {
            DAUsuari usu = new DAUsuari();
            usu.UpdateUsuari(_usuari);
        }
        //Elimina usuari
        public static void EliminarUsuari(string usuDni)
        {
            DAUsuari usu = new DAUsuari();
            usu.EliminarUsuari(usuDni);
        }
        //Llista usuaris per modificar
        public static List<DBUSUARI> GetEditarUsuari(string usuari)
        {
            return new DAUsuari().GetEditarUsuari(usuari);
        }
         //Llista dades usuari indicat
        public static List<DBUSUARI> GetDadesUsuari(string dni)
        {
            return new DADadesLogin().GetDadesUsuari(dni);
        }
    }
}
