﻿using System;
using System.Collections.Generic;
using System.Linq;
using GestioDespeses;

namespace Dades
{
    public class DADadesLogin
    {
        //Retorna les dades de l'usuari indicat
        public List<DBUSUARI> GetDadesUsuari(string dni)
        {
            try
            {
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    IQueryable<DBUSUARI> resultat = (from usu in bd.DBUSUARI
                                                     where usu.USUDNI == dni
                                                     select usu);

                    return DadesDinamic.Llista<DBUSUARI>(resultat);
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }
    }
}
