﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Negoci;

namespace GestioDespeses.Account
{
    public partial class Login : System.Web.UI.Page
    {
        int usuari = 0;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                LoginButton.Enabled = true;              
            }   
        }
            
        protected void LoginButton_Click(object sender, EventArgs e)
        {
            string _usuari = txtUserName.Text;
            string _clau = txtPassword.Text;
            
           usuari = BLUsuari.LoginUsuari(_usuari, _clau);
           
            if (usuari > 0)
             {
                 HttpContext.Current.Session["usuari"] = txtUserName.Text; 
                
                    Response.Redirect("~/Menu.aspx");
             }
             else
             {
                   Response.Redirect("~/Account/Login.aspx");
             }            
        }        
    }
}
