﻿<%@ Page Title="Gestio calendari" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="GestioCalendari.aspx.cs" Inherits="GestioDespeses.Administrador.GestioCalendari" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <title></title>
    <link href="~/Styles/Site.css" rel="stylesheet" type="text/css" />
    <link href="~/Styles/General.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div align="left" class="content">
        <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="true"
            runat="server">
        </asp:ToolkitScriptManager>
        <div>
            <div align="left" class="titol">
                <h3>
                    Gestió calendari dies festius
                </h3>
                <br />
            </div>
            <table align="center" style="height: 186px">
                <tr>
                    <td valign="middle" class="style8">
                        <asp:Label ID="Label2" runat="server" Text=""></asp:Label>
                        <asp:Calendar ID="Calendar1" runat="server" BackColor="White" BorderColor="#999999"
                            CellPadding="4" DayNameFormat="Shortest" Font-Names="Verdana" Font-Size="8pt"
                            ForeColor="Black" Height="180px" Width="200px" OnSelectionChanged="Calendar1_SelectionChanged">
                            <DayHeaderStyle BackColor="#CCCCCC" Font-Bold="True" Font-Size="7pt" />
                            <NextPrevStyle VerticalAlign="Bottom" />
                            <OtherMonthDayStyle ForeColor="#808080" />
                            <SelectedDayStyle BackColor="#666666" Font-Bold="True" ForeColor="White" />
                            <SelectorStyle BackColor="#CCCCCC" />
                            <TitleStyle BackColor="#999999" BorderColor="Black" Font-Bold="True" />
                            <TodayDayStyle BackColor="#CCCCCC" ForeColor="Black" />
                            <WeekendDayStyle BackColor="#FFFFCC" />
                        </asp:Calendar>
                    </td>
                    <td class="style7">
                        <asp:Label ID="Label3" runat="server" Text="Dia Festiu"></asp:Label>
                        <br />
                        <asp:TextBox ID="TextBox1" runat="server" Width="128px"></asp:TextBox>
                        <br />
                        <asp:Label ID="Label4" runat="server" Text="Tipus de festa"></asp:Label>
                        <asp:DropDownList ID="DropDownList1" runat="server" Width="128px" DataSourceID="EntityDataSource1"
                            DataTextField="CALDESCRIPCIO" DataValueField="CALDESCRIPCIO" AppendDataBoundItems="True">
                            <asp:ListItem></asp:ListItem>
                        </asp:DropDownList>
                        <asp:EntityDataSource ID="EntityDataSource1" runat="server" ConnectionString="name=SolicitudsEntities"
                            DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBCALENDARI"
                            Select="it.[CALDESCRIPCIO]" GroupBy="it.[CALDESCRIPCIO]">
                        </asp:EntityDataSource>
                        <br />
                        <br />
                        <asp:Button ID="btnAlta" runat="server" Text="Altra Tipus festa" OnClick="btnAlta_Click"
                            ToolTip="Indicar altra tipus de festa" />
                        <br />
                    </td>
                    <td valign="middle" style="padding-right: 10px; padding-left: 10px">
                        <asp:Button ID="btnSeleccionar" runat="server" Text=">>" OnClick="btnSeleccionar_Click"
                            ToolTip="Afegir dia festiu. Seleccionar primer dia del calendari i tipus de festa." />
                        <br />
                        <br />
                        <asp:Button ID="btnTreure" runat="server" Text="<<" OnClick="btnTreure_Click" ToolTip="Eliminar dia festiu. Seleccionar primer el dia del calendari a eliminar" />
                    </td>
                    <td class="style6">
                        <asp:Label ID="Label1" runat="server" Text="Dies festius" Width="107px"></asp:Label>
                        <asp:DataList ID="DataList1" runat="server" Font-Bold="False" Font-Italic="False"
                            Font-Overline="False" Font-Strikeout="False" Font-Underline="False" HorizontalAlign="Left"
                            ShowFooter="False" ShowHeader="False" CellPadding="1" Width="221px" BackColor="White"
                            BorderColor="#666666" BorderStyle="Double" BorderWidth="2px" GridLines="Horizontal">
                            <FooterStyle BackColor="White" ForeColor="#333333" />
                            <HeaderStyle BackColor="#336666" Font-Bold="True" ForeColor="White" />
                            <ItemStyle BackColor="White" Font-Size="Small" ForeColor="#333333" />
                            <ItemTemplate>
                                &nbsp;<asp:Label ID="CALDIESFESTIUSLabel" runat="server" Text='<%# Eval("CALDIESFESTIUS") %>'
                                    DataFormatString="{0:dd/MM/yyyy}" />
                                <asp:Label ID="CALDESCRIPCIOLabel" runat="server" Text='<%# Eval("CALDESCRIPCIO") %>' />
                                <br />
                                <br />
                            </ItemTemplate>
                            <SelectedItemStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                        </asp:DataList>
                    </td>
                </tr>
            </table>
            <br />
            <br />
            <div class="styleBotoTancar2">
                <asp:Button ID="btnTancar" runat="server" Text="Tornar" OnClick="btnTancar_Click" />
            </div>
            <br />
        </div>
    </div>
    <asp:ModalPopupExtender ID="mpeAltaTipusFesta" runat="server" PopupControlID="panelAltaTipusFesta"
        TargetControlID="btnAlta" BackgroundCssClass="backgroundColor" OkControlID="Button1"
        DropShadow="True">
    </asp:ModalPopupExtender>
    <asp:Panel ID="panelAltaTipusFesta" runat="server" BackColor="White">
        <asp:UpdatePanel ID="upAltaUsuari" runat="server">
            <ContentTemplate>
                <div id="popupcontainer" style="width: 578px">
                    <div class="row">
                        <div class="cell popupcontainercell">
                            <div id="div" runat="server" class="taula2">
                                <div class="cell popupcontainercell">
                                    Especificar altra tipus de festa
                                </div>
                                <br />
                                <div class="conjunt">
                                    <p class="formfield2">
                                        <asp:Label ID="lbTipFesta" runat="server" Text="Descripció" Width="80px"></asp:Label>
                                        <asp:TextBox ID="txtTipFesta" runat="server" Width="260px" />
                                        <br />
                                        <div class="cell" style="text-align: center; width: 549px;">
                                            <asp:Button ID="Button1" runat="server" Text="Acceptar" Style="margin-right: 10px;"
                                                CssClass="button" ValidationGroup="popuporder" />
                                            <asp:Button ID="Button2" runat="server" Text="Cancel·lar" CssClass="button" OnClick="btnCancelar_Click"
                                                CausesValidation="false" />
                                        </div>
                                        <br />
                                </div>
                            </div>
                        </div>
                    </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </asp:Panel>
</asp:Content>
