﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="GestioUsuari.aspx.cs" Inherits="GestioDespeses.Administrador.GestioUsuari" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .popupcontainercell
        {
            width: 572px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="true"
        runat="server">
    </asp:ToolkitScriptManager>
    <div align="left" class="content">
        <h3>
            Gestió d'usuaris
        </h3>
        <p>
            <asp:Label ID="lbDNI" runat="server" Text="DNI" Width="90px" CssClass="labelConsultar"></asp:Label>
            <asp:TextBox ID="txtDNI" runat="server"></asp:TextBox>
            <br />
            <asp:Label ID="lbNom" runat="server" Text="Nom" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:TextBox ID="txtNom" runat="server"></asp:TextBox>
            <asp:Label ID="Label1" runat="server" Width="40px"></asp:Label>
            <asp:ImageButton ID="ImageButton1" runat="server" Text="Refresh" OnClick="btnNetejar_Click"
                ImageUrl="~/Images/reload.png" ToolTip="Netejar filtre" CssClass="cssButonsRefresh" />
            <br />
            <asp:Label ID="lbRol" runat="server" Text="Rol" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:DropDownList ID="DropDownList3" runat="server" DataSourceID="EntityDataSource1"
                DataTextField="ROLDESCRIPCIO" DataValueField="IDROL" AppendDataBoundItems="True">
                <asp:ListItem></asp:ListItem>
            </asp:DropDownList>
            <asp:EntityDataSource ID="EntityDataSource1" runat="server" ConnectionString="name=SolicitudsEntities"
                DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBROLUSUARI"
                Select="it.[ROLDESCRIPCIO], it.[IDROL]" OrderBy="it.[ROLDESCRIPCIO]">
            </asp:EntityDataSource>
        </p>
        <asp:Button ID="btnCercar" runat="server" Text="Cercar" CssClass="btnAfegir" Style="margin-left: 100px"
            OnClick="btnCercar_Click"></asp:Button>
        <asp:Button ID="btnNou" runat="server" Text="Alta Usuari" OnClick="btnNou_Click" />
        <asp:Button ID="btnTornar" runat="server" Text="Tornar" OnClick="btnTornar_Click" />
    </div>
    <br />
    <div id="gwConsultar" visible="false" runat="server" class="taula">
        <h4>
            Resultat de la cerca
        </h4>
        <br />
        <div class="divGrid">
            <asp:GridView ID="gwGridConsultar" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                DataKeyNames="USUDNI" NewInLine="False" ShowWhenEmpty="True" OnPageIndexChanging="gwGridConsultar_PageIndexChanging"
                GridLines="Horizontal" AllowPaging="True" CssClass="columna" Width="864px" BackColor="White"
                CellPadding="4" AutoGenerateOrderByClause="true" DataSourceID="EntityDataSource4"
                OnRowCommand="gwGridConsultar_RowCommand">
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:ImageButton ID="ImageButton3" runat="server" ImageUrl="~/Images/Edit.png" CommandName="Editar"
                                CommandArgument="<%# Container.DataItemIndex%>" ToolTip="Editar Usuari" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/Cancel.png"
                                CommandName="Eliminar" CommandArgument="<%# Container.DataItemIndex%>" OnClientClick="return confirm('¿Segur que voleu eliminar el registre?');"
                                ToolTip="Eliminar Usuari" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="USUDNI" HeaderText="DNI" SortExpression="USUDNI" ReadOnly="True" />
                    <asp:BoundField DataField="USUCOGNOM" HeaderText="Cognoms, Nom" SortExpression="USUCOGNOM"
                        ReadOnly="True" />
                    <asp:BoundField DataField="USUEMAIL" HeaderText="Email" SortExpression="USUEMAIL"
                        ReadOnly="True" />
                    <asp:BoundField DataField="USUALTA" HeaderText="Alta" SortExpression="USUALTA" DataFormatString="{0:dd/MM/yyyy}"
                        ReadOnly="True" />
                    <asp:BoundField DataField="USUCLAU" HeaderText="Clau" SortExpression="USUCLAU" ReadOnly="True" />
                    <asp:BoundField DataField="USUPREGUNTA" HeaderText="Pregunta" SortExpression="USUPREGUNTA"
                        ReadOnly="True" />
                    <asp:BoundField DataField="USURESPOSTA" HeaderText="Resposta" SortExpression="USURESPOSTA"
                        ReadOnly="True" />
                    <asp:TemplateField HeaderText="Departament" SortExpression="DEPDESCRIPCIO">
                        <EditItemTemplate>
                            <asp:Label ID="lbdescripcioEdit" runat="server" Text='<%# Eval("DBDEPARTAMENT.IDDEPARTAMENT") %>'></asp:Label>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="lbdescripcio" runat="server" Text='<%# Bind("DBDEPARTAMENT.DEPDESCRIPCIO") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Rol" SortExpression="ROLDESCRIPCIO">
                        <EditItemTemplate>
                            <asp:Label ID="lbRolEdit" runat="server" Text='<%# Eval("DBROLUSUARI.IDROL") %>'></asp:Label>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:Label ID="lbRol" runat="server" Text='<%# Bind("DBROLUSUARI.ROLDESCRIPCIO") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <EmptyDataTemplate>
                    Seleccioni un item de la llista
                </EmptyDataTemplate>
                <FooterStyle BackColor="White" ForeColor="Gray" />
                <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                    Wrap="True" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                <SortedAscendingCellStyle BackColor="#F7F7F7" />
                <SortedAscendingHeaderStyle BackColor="#487575" />
                <SortedDescendingCellStyle BackColor="#E5E5E5" />
                <SortedDescendingHeaderStyle BackColor="#275353" />
            </asp:GridView>
            <asp:EntityDataSource ID="EntityDataSource4" runat="server" ConnectionString="name=SolicitudsEntities"
                DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBUSUARI"
                Include="DBDEPARTAMENT, DBROLUSUARI" AutoGenerateWhereClause="True" OrderBy="it.[USUDNI] DESC">
                <WhereParameters>
                    <asp:ControlParameter ControlID="txtDNI" Name="USUDNI" PropertyName="Text" DbType="String" />
                    <asp:ControlParameter ControlID="txtNom" Name="USUCOGNOM" PropertyName="Text" DbType="String" />
                    <asp:ControlParameter ControlID="DropDownList3" Name="IDROL" PropertyName="SelectedValue"
                        DbType="Int32" />
                </WhereParameters>
            </asp:EntityDataSource>
            <br />
        </div>
    </div>
    <!--Panell Editar Usuari -->
    <asp:Panel ID="pnlPlantilla" runat="server">
        <div class="divGrid">
            <asp:FormView ID="fvUsuario" runat="server" Visible="False" DefaultMode="Edit" Width="521px"
                OnItemUpdating="EditarUsuari_Updating" 
                OnModeChanging="fvUsuario_OnModeChanging">
                <EditItemTemplate>
                    <fieldset>
                        <legend>Editar Usuari</legend>
                        <table style="width: 440px">
                            <tr>
                                <td>
                                    <asp:Label ID="lbIdUsuari" runat="server" Text="Id Usuari" Width="100px" Visible="false"
                                        AssociatedControlID="txtIdUsuari"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtIdUsuari" runat="server" Text='<%# Bind("IDUSUARI") %>' Width="200px"
                                        Enabled="false" Visible="false" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblDniEditar" runat="server" Text="DNI" Width="100px" AssociatedControlID="txtDniEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtDniEditar" runat="server" Text='<%# Bind("USUDNI") %>' Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbNomEditar" runat="server" Text="Cognoms, Nom" Width="100px" AssociatedControlID="txtNomEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtNomEditar" runat="server" Text='<%# Bind("USUCOGNOM") %>' Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbMailEditar" runat="server" Text="Email" Width="100px" AssociatedControlID="txtMailEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtMailEditar" runat="server" Text='<%# Bind("USUEMAIL") %>' Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbTelEditar" runat="server" Text="Telèfon" Width="100px" AssociatedControlID="txtTelEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtTelEditar" runat="server" Text='<%# Bind("USUTELEFON") %>' Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbClauEditar" runat="server" Text="Clau" Width="100px" AssociatedControlID="txtClauEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtClauEditar" runat="server" Text='<%# Bind("USUCLAU") %>' Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbPreguntaEditar" runat="server" Text="Pregunta" Width="100px" AssociatedControlID="txtPreguntaEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtPreguntaEditar" runat="server" Text='<%# Bind("USUPREGUNTA") %>'
                                        Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbRespostaEditar" runat="server" Text="Resposta" Width="100px" AssociatedControlID="txtRespostaEditar"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtRespostaEditar" runat="server" Text='<%# Bind("USURESPOSTA") %>'
                                        Width="200px" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbRolEditar" runat="server" Text="Rol" Width="100px" AssociatedControlID="DropDownList2"></asp:Label>
                                </td>
                                <td>
                                    <asp:DropDownList ID="DropDownList2" runat="server" Text='<%# Bind("IDROL") %>' Width="150px"
                                        DataSourceID="EntityDataSource6" DataTextField="ROLDESCRIPCIO" DataValueField="IDROL">
                                        <asp:ListItem></asp:ListItem>
                                    </asp:DropDownList>
                                    <asp:EntityDataSource ID="EntityDataSource6" runat="server" ConnectionString="name=SolicitudsEntities"
                                        DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBROLUSUARI"
                                        OrderBy="it.[ROLDESCRIPCIO]" Select="it.[IDROL], it.[ROLDESCRIPCIO]">
                                    </asp:EntityDataSource>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lbDepartEditar" runat="server" Text="Departament" Width="100px" AssociatedControlID="DropDownList1"></asp:Label>
                                </td>
                                <td>
                                    <asp:DropDownList ID="DropDownList1" runat="server" Text='<%# Bind("IDDEPARTAMENT") %>'
                                        Width="150px" DataSourceID="EntityDataSource3" DataTextField="DEPDESCRIPCIO"
                                        DataValueField="IDDEPARTAMENT">
                                        <asp:ListItem></asp:ListItem>
                                    </asp:DropDownList>
                                    <asp:EntityDataSource ID="EntityDataSource3" runat="server" ConnectionString="name=SolicitudsEntities"
                                        DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBDEPARTAMENT"
                                        OrderBy="it.[DEPDESCRIPCIO]" Select="it.[DEPDESCRIPCIO], it.[IDDEPARTAMENT]">
                                    </asp:EntityDataSource>
                                </td>
                            </tr>
                        </table>
                    </fieldset>
                    <div class="btnTraspas">
                        <asp:Button ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                            Text="Actualizar" />
                        &nbsp;<asp:Button ID="UpdateCancelButton" runat="server" CausesValidation="False"
                            CommandName="Cancel" Text="Cancel·lar" OnClick="UpdateCancelButton_Click" />
                    </div>
                    <br />
                </EditItemTemplate>
            </asp:FormView>
            <br />
        </div>
    </asp:Panel>
    <!--Panell Alta nou Usuari -->
    <asp:HiddenField ID="HiddenField1" runat="server" />
    <asp:ModalPopupExtender ID="mpeAltaUsuari" runat="server" PopupControlID="panelAltaUsuari"
        TargetControlID="HiddenField1" BackgroundCssClass="backgroundColor" DropShadow="True">
    </asp:ModalPopupExtender>
    <asp:Panel ID="panelAltaUsuari" runat="server" BackColor="White">
        <asp:UpdatePanel ID="upAltaUsuari" runat="server">
            <ContentTemplate>
                <div id="popupcontainer" style="width: 579px">
                    <div class="row">
                        <div class="cell popupcontainercell">
                            <div id="div" runat="server" class="taula2">
                                <div class="cell popupcontainercell">
                                    Donar d'alta usuari
                                </div>
                                <br />
                                <div class="conjunt">
                                    <p class="formfield2">
                                        <asp:Label ID="lbDniUsuari" runat="server" Text="DNI" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtDniUsuari" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbNomNou" runat="server" Text="Cognoms,Nom" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtNomNou" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbMail" runat="server" Text="Email" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtMail" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbTelefon" runat="server" Text="Telèfon" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtTelefon" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbClau" runat="server" Text="Clau" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtClau" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbPregunta" runat="server" Text="Pregunta" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtPregunta" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbResposta" runat="server" Text="Resposta" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtResposta" runat="server" Width="260px" />
                                        <br />
                                        <asp:Label ID="lbAltaDepartament" runat="server" Text="Departament" Width="90px"></asp:Label>
                                        <asp:DropDownList ID="DropDownList1" runat="server" Width="150px" DataSourceID="EntityDataSource3"
                                            DataTextField="DEPDESCRIPCIO" DataValueField="IDDEPARTAMENT" AppendDataBoundItems="True">
                                            <asp:ListItem></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:EntityDataSource ID="EntityDataSource3" runat="server" ConnectionString="name=SolicitudsEntities"
                                            DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBDEPARTAMENT"
                                            OrderBy="it.[DEPDESCRIPCIO]" Select="it.[DEPDESCRIPCIO], it.[IDDEPARTAMENT]">
                                        </asp:EntityDataSource>
                                        <br />
                                        <asp:Label ID="lbAltaRol" runat="server" Text="Rol" Width="90px"></asp:Label>
                                        <asp:DropDownList ID="DropDownList2" runat="server" Width="150px" DataSourceID="EntityDataSource6"
                                            DataTextField="ROLDESCRIPCIO" DataValueField="IDROL" AppendDataBoundItems="True">
                                            <asp:ListItem></asp:ListItem>
                                        </asp:DropDownList>
                                        <asp:EntityDataSource ID="EntityDataSource6" runat="server" ConnectionString="name=SolicitudsEntities"
                                            DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBROLUSUARI"
                                            OrderBy="it.[ROLDESCRIPCIO]" Select="it.[IDROL], it.[ROLDESCRIPCIO]">
                                        </asp:EntityDataSource>
                                        <br />
                                </div>
                                <br />
                                <div class="cell" style="text-align: center; width: 566px;">
                                    <asp:Button ID="btnEnviar" runat="server" Text="Alta" Style="margin-right: 10px;"
                                        CssClass="button" OnClick="btnEnviar_Click" ValidationGroup="popuporder" />
                                    <asp:Button ID="btnCancelar" runat="server" Text="Cancel·lar" CssClass="button" OnClick="btnCancelar_Click"
                                        CausesValidation="false" />
                                </div>
                                <br />
                            </div>
                        </div>
                    </div>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
    </asp:Panel>
</asp:Content>
