﻿<%@ Page Title="Incidencies" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Alertes.aspx.cs" Inherits="GestioDespeses.Alertes" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="HeadContent">
  <meta name="HandheldFriendly" content="true" />
    <meta name="viewport" content="width=device-width, height=device-height, user-scalable=no" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible"/>
    
    <style type="text/css">
        .popupcontainercell
        {
            width: 574px;
        }
    </style>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="false"
        runat="server">
    </asp:ToolkitScriptManager>
    <div align="left" class="content">
        <h3>
            Incidències
        </h3>
        <p>
            <asp:Label ID="lbIncidencia" runat="server" Text="Incidència" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:TextBox ID="txtIncidencia" runat="server"></asp:TextBox>
            <br />
            <asp:Label ID="lbEstat" runat="server" Text="Estat" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:DropDownList ID="DropDownList1" runat="server">
                <asp:ListItem></asp:ListItem>
                <asp:ListItem>Oberta</asp:ListItem>
                <asp:ListItem>Tancada</asp:ListItem>
            </asp:DropDownList>
            <asp:ListSearchExtender ID="DropDownList1_ListSearchExtender" runat="server" Enabled="True"
                TargetControlID="DropDownList1">
            </asp:ListSearchExtender>
            <asp:Label ID="Label1" runat="server" Width="130px"></asp:Label>
            <asp:ImageButton ID="ImageButton1" runat="server" Text="Refresh" OnClick="btnNetejar_Click"
                ImageUrl="~/Images/reload.png" ToolTip="Netejar filtre" CssClass="cssButonsRefresh" />
            <br />
            <asp:Label ID="lbDataInici" runat="server" Text="Data alta" CssClass="labelConsultar"
                Width="90px" ToolTip="Data alta Incidència"></asp:Label>
            <asp:TextBox ID="txtDataInici" runat="server"></asp:TextBox>
            <asp:Image ID="btnCalendar" runat="server" ImageUrl="~/Images/Calendari.png" Style="width: 16px" />
            <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtDataInici"
                PopupButtonID="btnCalendar">
            </asp:CalendarExtender>
            <br />
            <asp:Label ID="lbDataFi" runat="server" Text="Data fi" CssClass="labelConsultar" Width="90px" ToolTip="Data tancament Incidència"></asp:Label>
            <asp:TextBox ID="txtDataFi" runat="server"></asp:TextBox>
            <asp:Image ID="btnCalendar2" runat="server" ImageUrl="~/Images/Calendari.png" Style="width: 16px" />
            <asp:CalendarExtender ID="CalendarExtender2" runat="server" TargetControlID="txtDataFi"
                PopupButtonID="btnCalendar2">
            </asp:CalendarExtender>
        </p>
        <asp:Button ID="btnCercar" runat="server" Text="Cercar" CssClass="btnAfegir" Style="margin-left: 100px"
            OnClick="btnCercar_Click"></asp:Button>
    </div>
    <br />
    <div id="Div1" runat="server" class="taula">
        <h4>
            Incidències pendents respondre
        </h4>
        <br />
        <div class="divGrid">
            <asp:GridView ID="gwGridPendents" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                OnPageIndexChanging="gwGridPendents_PageIndexChanging" NewInLine="False" ShowWhenEmpty="True"
                DataKeyNames="idincidencia" OnSelectedIndexChanging="gwGridPendents_SelectedIndexChanging"
                GridLines="Horizontal" AllowPaging="True" CssClass="columna" Width="785px" BackColor="White"
                CellPadding="4">
                <Columns>
                    <asp:CommandField ShowSelectButton="True" ButtonType="Image" SelectImageUrl="~/Images/Edit.png"
                        HeaderText="Respondre" ShowDeleteButton="False" InsertVisible="False" ShowCancelButton="False">
                        <ItemStyle HorizontalAlign="Center"></ItemStyle>
                    </asp:CommandField>
                    <asp:BoundField DataField="IDINCIDENCIA" HeaderText="Incidencia" ConvertEmptyStringToNull="true" ReadOnly="True" />
                    <asp:BoundField DataField="USUDNI" HeaderText="Usuari" ReadOnly="True" />
                    <asp:BoundField DataField="USUCOGNOM" HeaderText="Cognoms, Nom" ReadOnly="True" />
                    <asp:BoundField DataField="INCBREUDESCRIPCIO" HeaderText="Breu Descripció" ReadOnly="True" />
                    <asp:BoundField DataField="INCESTAT" HeaderText="Estat"  ReadOnly="True" />
                    <asp:BoundField DataField="INCALTA" HeaderText="Data alta"  DataFormatString="{0:dd/MM/yyyy}" ReadOnly="True" />
                </Columns>
                <EmptyDataTemplate>
                    Seleccioni un item de la llista
                </EmptyDataTemplate>
                <FooterStyle BackColor="White" ForeColor="Gray" />
                <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center" Wrap="True" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                <SortedAscendingCellStyle BackColor="#F7F7F7" />
                <SortedAscendingHeaderStyle BackColor="#487575" />
                <SortedDescendingCellStyle BackColor="#E5E5E5" />
                <SortedDescendingHeaderStyle BackColor="#275353" />
            </asp:GridView>
            <br />
            <br />
        </div>
    </div>
    <!--Grid Historic Incidencies-->
    <asp:UpdatePanel ID="UpdatePanelConsulta" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div id="gwConsultar" visible="false" runat="server" class="taula">
                <h4>
                    Històric Incidències
                </h4>
                <br />
                <div class="divGrid">
                    <asp:EntityDataSource ID="EntityDataSource2" runat="server" ConnectionString="name=SolicitudsEntities"
                        DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBINCIDENCIES"
                        OrderBy="it.[IDINCIDENCIA] DESC, it.[IDUSUARI], it.[INCDESCRIPCIO],
                         it.[INCESTAT], it.[INCRESPOSTA], it.[INCALTA], it.[INCTANCAT], it.[INCBREUDESCRIPCIO]"
                         AutoGenerateWhereClause="true" EnableDelete="True"
                        EnableInsert="True" EnableUpdate="True" Include="DBUSUARI">
                        <WhereParameters>
                            <asp:ControlParameter ControlID="txtIncidencia" Name="IDINCIDENCIA" PropertyName="Text"
                                DbType="Int32" />
                            <asp:ControlParameter ControlID="DropDownList1" Name="INCESTAT" PropertyName="SelectedValue"
                                DbType="String" />
                            <asp:ControlParameter ControlID="txtDataInici" Name="INCALTA" PropertyName="Text"
                                DbType="DateTime" />
                            <asp:ControlParameter ControlID="txtDataFi" Name="INCTANCAT" PropertyName="Text"
                                DbType="DateTime" />
                        </WhereParameters>
                    </asp:EntityDataSource>
                    <asp:GridView ID="gwGridConsultar" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                        AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                        NewInLine="False" ShowWhenEmpty="True" DataKeyNames="idincidencia" OnPageIndexChanging="gwGridConsultar_PageIndexChanging"
                        GridLines="Horizontal" DataSourceID="EntityDataSource2" AllowPaging="True" CssClass="columna"
                        Width="785px" BackColor="White" CellPadding="4">
                        <Columns>
                            <asp:BoundField DataField="IDINCIDENCIA" HeaderText="Incidencia" SortExpression="IDINCIDENCIA"
                                ConvertEmptyStringToNull="true" ReadOnly="True" />
                            <asp:TemplateField HeaderText="Usuari" SortExpression="DBUSUARI.USUDNI">
                                <EditItemTemplate>
                                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("DBUSUARI.USUDNI") %>'></asp:Label>
                                </EditItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("DBUSUARI.USUDNI") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Cognoms, Nom" SortExpression="DBUSUARI.USUCOGNOM">
                                <EditItemTemplate>
                                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("DBUSUARI.USUCOGNOM") %>'></asp:Label>
                                </EditItemTemplate>
                                <ItemTemplate>
                                    <asp:Label ID="Label1" runat="server" Text='<%# Eval("DBUSUARI.USUCOGNOM") %>'></asp:Label>
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="INCBREUDESCRIPCIO" HeaderText="Breu Descripció" SortExpression="INCBREUDESCRIPCIO"
                                ReadOnly="True" />
                            <asp:BoundField DataField="INCRESPOSTA" HeaderText="Resposta" SortExpression="INCRESPOSTA"
                                ReadOnly="True" />
                            <asp:BoundField DataField="INCESTAT" HeaderText="Estat" SortExpression="INCESTAT"
                                ReadOnly="True" />
                            <asp:BoundField DataField="INCALTA" HeaderText="Data alta" SortExpression="INCALTA"
                                ReadOnly="True" DataFormatString="{0:dd/MM/yyyy}" />
                            <asp:BoundField DataField="INCTANCAT" HeaderText="Data tancament" SortExpression="INCTANCAT"
                                DataFormatString="{0:dd/MM/yyyy}" ReadOnly="True" />
                        </Columns>
                        <FooterStyle BackColor="White" ForeColor="Gray" />
                        <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                            Wrap="True" />
                        <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                        <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                        <SortedAscendingCellStyle BackColor="#F7F7F7" />
                        <SortedAscendingHeaderStyle BackColor="#487575" />
                        <SortedDescendingCellStyle BackColor="#E5E5E5" />
                        <SortedDescendingHeaderStyle BackColor="#275353" />
                    </asp:GridView>
                    <br />
                    <div class="styleBotoTancar">
                        <asp:Button ID="btnTancar" runat="server" Text="Tancar" OnClick="btnTancar_Click" />
                    </div>
                    <br />
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <!--Panell donar resposta a la incidència-->
    <asp:HiddenField ID="HiddenField1" runat="server" />
    <asp:ModalPopupExtender ID="mpeEditResposta" runat="server" PopupControlID="panelEnviarResposta"
        TargetControlID="HiddenField1" BackgroundCssClass="backgroundColor" DropShadow="True">
    </asp:ModalPopupExtender>
    <asp:Panel ID="panelEnviarResposta" runat="server" BackColor="White">
        <asp:UpdatePanel ID="upEnviarResposta" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div id="popupcontainer" style="width: 580px">
                    <div class="row">
                        <div class="cell popupcontainercell">
                            <div id="div" runat="server" class="taula2">
                                <div class="cell popupcontainercell">
                                    Enviar resposta
                                </div>
                                <br />
                                <div class="conjunt">
                                    <p class="formfield2">
                                        <asp:Label ID="lbNumIncident" runat="server" Text="Incidència" CssClass="labelConsultar"
                                            Width="90px"></asp:Label>
                                        <asp:Label ID="lbInci" runat="server" Text=""></asp:Label>
                                        <br />
                                        <asp:Label ID="lbDNI" runat="server" Text="DNI" CssClass="labelConsultar" Width="90px"></asp:Label>
                                        <asp:Label ID="lbDNIUsuari" runat="server" Text=""></asp:Label>
                                        <br />
                                        <asp:Label ID="lbNom" runat="server" Text="Nom" CssClass="labelConsultar" Width="90px"></asp:Label>
                                        <asp:Label ID="lbNomUsuari" runat="server" Text=""></asp:Label>
                                        <br />
                                        <asp:Label ID="lbEmail" runat="server" Text="Email" CssClass="labelConsultar" Width="90px"></asp:Label>
                                        <asp:TextBox ID="txtEmailUsuari" runat="server" Width="318px"></asp:TextBox>
                                        <br />
                                        <asp:Label ID="lbBreu" runat="server" Text="Breu descripció" CssClass="labelConsultar"
                                            Width="90px"></asp:Label>
                                        <asp:Label ID="lbBreuDes" runat="server" Text=""></asp:Label>
                                        <br />
                                        <asp:Label ID="lbDataAlta" runat="server" Text="Data Alta" CssClass="labelConsultar"
                                            Width="90px"></asp:Label>
                                        <asp:Label ID="lbDataAltaInc" runat="server" Text=""></asp:Label>
                                        <br />
                                        <asp:Label ID="lbDetallDes" runat="server" Text="Descripció" CssClass="labelConsultar"
                                            Width="90px" Height="164px"></asp:Label>
                                        <textarea id="txtDetallDes" cols="52" rows="10" runat="server" name="S1" disabled="disabled"></textarea>
                                        <br />
                                        <br />
                                        <asp:Label ID="lbResposta" runat="server" Text="Resposta" CssClass="labelConsultar"
                                            Width="90px" Height="164px"></asp:Label>
                                        <textarea id="txtResposta" cols="52" rows="10" runat="server" name="S1"></textarea>
                                    </p>
                                </div>
                                <br />
                                <div class="cell" style="text-align: center; width: 566px;">
                                    <asp:Button ID="btnEnviar" runat="server" Text="Enviar" Style="margin-right: 10px;"
                                        CssClass="button" OnClick="btnEnviar_Click" ValidationGroup="popuporder" />
                                    <asp:Button ID="btnCancelar" runat="server" Text="Cancel·lar" CssClass="button" OnClick="btnCancelar_Click"
                                        CausesValidation="false" />
                                </div>
                                <br />
                            </div>
                        </div>
                    </div>
                </div>
            </ContentTemplate>
            <Triggers>
                <asp:PostBackTrigger ControlID="btnEnviar" />
            </Triggers>
        </asp:UpdatePanel>
    </asp:Panel>
</asp:Content>
