﻿<%@ Page Title="Autoritzar solicitud" Language="C#" MasterPageFile="~/Site.master"
    AutoEventWireup="true" CodeBehind="Autoritzar.aspx.cs" Inherits="GestioDespeses.Autoritzar" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="true"
        runat="server">
    </asp:ToolkitScriptManager>
    <div align="left" class="content">
        <h3>
            Sol·licituds
        </h3>
        <p>
            <asp:Label ID="lbDNI" runat="server" Text="DNI" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:TextBox ID="txtDNI" runat="server" Width="100px"></asp:TextBox>
            <asp:Label ID="Label3" runat="server" ForeColor="Red"></asp:Label>
            <br />
            <asp:Label ID="lbData" runat="server" Text="Data despesa" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:TextBox ID="txtData" runat="server" Width="100px"></asp:TextBox>
            <asp:Image ID="btnCalendar" runat="server" ImageUrl="~/Images/Calendari.png" Style="width: 16px" />
            <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtData"
                PopupButtonID="btnCalendar">
            </asp:CalendarExtender>
            <br />
            <asp:Label ID="lbRegistre" runat="server" Text="Registre" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:TextBox ID="txtRegistre" runat="server" Width="100px"></asp:TextBox>
            <br />
            <asp:Button ID="btnCercar" runat="server" Text="Cercar" CssClass="btnAfegir" OnClick="btnConsultar_Click"
                Style="margin-left: 100px"></asp:Button>
        </p>
    </div>
    <br />
    <div id="divGridDetall" runat="server" class="taula">
        <h4>
            Autoritzar sol·licituds
        </h4>
        <br />
        <div class="divGrid">
            <asp:GridView ID="gwGridDetallAutoritzar" runat="server" EmptyDataText="Sense dades"
                ShowNewItemButton="false" AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                NewInLine="False" ShowWhenEmpty="True" GridLines="Horizontal" AllowPaging="True"
                DataKeyNames="IDSOLICITUD" CssClass="columna" OnPageIndexChanging="gwGridDetallAutoritzar_PageIndexChanging"
                OnPageIndexChanged="gwGridDetallAutoritzar_PageIndexChanged" BackColor="White"
                CellPadding="4" Width="869px">
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkConsulta" runat="server" AutoPostBack="True" OnCheckedChanged="CheckBox1_CheckedChanged" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="IDSOLICITUD" HeaderText="Sol·licitud" ConvertEmptyStringToNull="true"
                        ReadOnly="True" Visible="true"/>
                    <asp:BoundField DataField="USUDNI" HeaderText="DNI" ReadOnly="True" />
                    <asp:BoundField DataField="USUCOGNOM" HeaderText="Cognoms, Nom" ReadOnly="True" />
                    <asp:BoundField DataField="SOLESTAT" HeaderText="Estat" ReadOnly="True" Visible="false" />
                    <asp:BoundField DataField="CALDESCRIPCIO" HeaderText="Festiu" ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATADESPESA" HeaderText="Data despesa" DataFormatString="{0:dd/MM/yyyy}"
                        ReadOnly="True" />
                    <asp:BoundField DataField="TIPDESCRIPCIO" HeaderText="Tipologia" ReadOnly="True" />
                    <asp:BoundField DataField="SOLDESCRIPCIO" HeaderText="Descripció" ReadOnly="True" />
                    <asp:BoundField DataField="SOLIMPORT" HeaderText="Import" ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATAALTA" HeaderText="Data alta" DataFormatString="{0:dd/MM/yyyy}"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLNUMREGISTRE" HeaderText="Registre" ReadOnly="True" />
                </Columns>
                <FooterStyle BackColor="White" ForeColor="Gray" />
                <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                    Wrap="True" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                <SortedAscendingCellStyle BackColor="#F7F7F7" />
                <SortedAscendingHeaderStyle BackColor="#487575" />
                <SortedDescendingCellStyle BackColor="#E5E5E5" />
                <SortedDescendingHeaderStyle BackColor="#275353" />
            </asp:GridView>
            <br />
            <div>
                <asp:Button ID="btnAutoritzar" runat="server" Text="Acceptar" OnClick="btnAutoritzar_Click" />
                <asp:Button ID="btnRebutjar" runat="server" Text="Rebutjar" OnClick="btnRebutjar_Click" />
                <asp:Button ID="btnTancar" runat="server" Text="Tancar" OnClick="btnTancar_Click"
                    Visible="false" />
            </div>
            <br />
            <asp:Label ID="Label1" runat="server" Text="" ForeColor="Red"></asp:Label>
            <asp:Label ID="Label2" runat="server" Text="" ForeColor="Red"></asp:Label>
            <br />
        </div>
    </div>
    <!--Panel motiu rebuig-->
    <asp:ModalPopupExtender ID="mpeMotiu" runat="server" PopupControlID="panelMotiu"
        TargetControlID="btnRebutjar" BackgroundCssClass="backgroundColor" DropShadow="True">
    </asp:ModalPopupExtender>
    <asp:Panel ID="panelMotiu" runat="server" BackColor="White">
        <div id="popupcontainer" style="width: 577px">
            <div class="row">
                <div class="cell popupcontainercell">
                    <div id="div" runat="server" class="taula2">
                        <div class="cell popupcontainercell">
                            Indicar motiu rebuig
                        </div>
                        <br />
                        <div class="conjunt">
                            <p class="formfield2">
                                <asp:Label ID="lbMotiu" runat="server" Text="Motiu" Width="80px" Height="84px"></asp:Label>
                                <textarea id="txtMotiu" runat="server" cols="40" rows="5"></textarea>
                                <br />
                            </p>
                        </div>
                        <br />
                        <div class="cell" style="text-align: center; width: 567px;">
                            <asp:Button ID="btnEnviar" runat="server" Text="Acceptar" Style="margin-right: 10px;"
                                CssClass="button" OnClick="btnEnviar_Click" ValidationGroup="popuporder" />
                            <asp:Button ID="btnCancelar" runat="server" Text="Cancel·lar" CssClass="button" OnClick="btnCancelar_Click"
                                CausesValidation="false" />
                        </div>
                        <br />
                    </div>
                </div>
            </div>
        </div>
    </asp:Panel>
</asp:Content>
