﻿<%@ Page Title="Consultar" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Consultar.aspx.cs" Inherits="GestioDespeses.Consultar" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="true"
        runat="server">
    </asp:ToolkitScriptManager>
    <div align="left" class="content">
        <h3>
            Dades personals
        </h3>
        <p>
            <asp:Label ID="lbDNI" runat="server" Text="DNI" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:Label ID="lbDNIUsuari" runat="server" Text=""></asp:Label>
            <br />
            <asp:Label ID="lbNom" runat="server" Text="Nom" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:Label ID="lbNomUsuari" runat="server" Text=""></asp:Label>
            <br />
            <asp:Label ID="lbEmail" runat="server" Text="Email" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:Label ID="lbEmailUsuari" runat="server" Text=""></asp:Label>
        </p>
    </div>
    <div align="left" class="content">
        <h3>
            Consultar sol·licituds
        </h3>
        <p>
            <asp:Label ID="lbNumSolicitud" runat="server" Text="Núm.Sol·licitud" Width="90px"
                CssClass="labelConsultar"></asp:Label>
            <asp:TextBox ID="txtSolicitud" runat="server"></asp:TextBox>
            <br />
            <asp:Label ID="lbData" runat="server" Text="Data Alta" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:TextBox ID="txtData" runat="server" Width="90px"></asp:TextBox>
            <asp:Image ID="btnCalendar" runat="server" ImageUrl="~/Images/Calendari.png" Style="width: 16px" />
            <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtData"
                PopupButtonID="btnCalendar">
            </asp:CalendarExtender>
            <br />
            <asp:Label ID="lbEstat" runat="server" Text="Estat" CssClass="labelConsultar" Width="90px"></asp:Label>
            <asp:DropDownList ID="ddlEstat" runat="server">
                <asp:ListItem></asp:ListItem>
                <asp:ListItem>Abonament</asp:ListItem>
                <asp:ListItem>Oberta</asp:ListItem>
                <asp:ListItem>Pendent</asp:ListItem>
                <asp:ListItem>Rebutjada</asp:ListItem>
                <asp:ListItem>Tancada</asp:ListItem>
            </asp:DropDownList>
            <asp:ListSearchExtender ID="ddlEstat_ListSearchExtender" runat="server" Enabled="True"
                TargetControlID="ddlEstat">
            </asp:ListSearchExtender>
             <asp:Label ID="Label1" runat="server" Width="80px"></asp:Label>
            <asp:ImageButton ID="ImageButton2" runat="server" Text="Refresh" OnClick="btnNetejar_Click"
                ImageUrl="~/Images/reload.png" ToolTip="Netejar filtre" CssClass="cssButonsRefresh" />
            <br />
        </p>
        <asp:Button ID="btnConsultar" runat="server" Text="Consultar" CssClass="btnAfegir"
            OnClick="btnConsultar_Click" Style="margin-left: 100px"></asp:Button>
    </div>
    <br />
    <!--Grid consulta sol·licituds-->
    <asp:UpdatePanel ID="UpdatePanelConsulta" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div id="gwConsultar" visible="false" runat="server" class="taula">
                <h4>
                    Resultat de la cerca
                </h4>
                <br />
                <div class="divGrid">                  
                    <asp:GridView ID="gwGridConsultar" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                        AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                        OnPageIndexChanged="gwGridConsultar_PageIndexChanged" NewInLine="False" ShowWhenEmpty="True"
                        DataKeyNames="IDSOLICITUD" OnPageIndexChanging="gwGridConsultar_PageIndexChanging"
                        GridLines="Horizontal"  AllowPaging="True" CssClass="columna"
                        Width="726px" BackColor="White" CellPadding="4">
                        <Columns>
                            <asp:TemplateField>
                                <ItemTemplate>
                                    <asp:CheckBox ID="chkConsulta" runat="server" CommandName="Eliminar" AutoPostBack="True"
                                        OnCheckedChanged="CheckBox1_CheckedChanged" />
                                </ItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="IDSOLICITUD" HeaderText="Solicitud" SortExpression="IDSOLICITUD"
                                ConvertEmptyStringToNull="true" ReadOnly="True" />
                            <asp:BoundField DataField="SOLESTAT" HeaderText="Estat" SortExpression="SOLESTAT"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLDATADESPESA" HeaderText="Data despesa" DataFormatString="{0:dd/MM/yyyy}"
                                SortExpression="SOLDATADESPESA" ReadOnly="True" />
                            <asp:BoundField DataField="IDTIPOLOGIA" HeaderText="Tipologia" SortExpression="IDTIPOLOGIA"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLDESCRIPCIO" HeaderText="Descripcio" SortExpression="SOLDESCRIPCIO"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLIMPORT" HeaderText="Import" SortExpression="SOLIMPORT"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLNUMREGISTRE" HeaderText="Num. Registre" SortExpression="SOLNUMREGISTRE"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLDATAALTA" HeaderText="Data alta" DataFormatString="{0:dd/MM/yyyy}"
                                SortExpression="SOLDATAALTA" ReadOnly="True" />
                            <asp:BoundField DataField="SOLDATAFI" HeaderText="Data fi" DataFormatString="{0:dd/MM/yyyy}"
                                SortExpression="SOLDATAFI" ReadOnly="True" />
                            <asp:BoundField DataField="SOLARXIU" HeaderText="Arxiu" ReadOnly="True" />
                        </Columns>
                        <EmptyDataTemplate>
                            Seleccioni un item de la llista
                        </EmptyDataTemplate>
                        <FooterStyle BackColor="White" ForeColor="Gray" />
                        <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                            Wrap="True" />
                        <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                        <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                        <SortedAscendingCellStyle BackColor="#F7F7F7" />
                        <SortedAscendingHeaderStyle BackColor="#487575" />
                        <SortedDescendingCellStyle BackColor="#E5E5E5" />
                        <SortedDescendingHeaderStyle BackColor="#275353" />
                    </asp:GridView>
                    <br />
                    <div class="styleBotoGrid">
                        <asp:Button ID="btnEditar" runat="server" Text="Editar" OnClick="btnEditar_Click" />
                        <asp:Button ID="btnGridEliminar" runat="server" Text="Eliminar" OnClientClick="return confirm('¿Segur que voleu eliminar els registres?');"
                            OnClick="btnDelete_Click" />
                    </div>
                    <br />
                </div>
            </div>       
    <!--Grid editar sol·licituds-->
    <div id="divGridDetall" visible="false" runat="server" class="taula">
        <h4>
            Editar sol·licituds
        </h4>
        <br />
        <div class="divGrid">
            <asp:GridView ID="gwGridDetall" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                NewInLine="False" ShowWhenEmpty="True" GridLines="Horizontal" AllowPaging="True"
                CssClass="columna" OnSelectedIndexChanging="gwGridDetall_SelectedIndexChanging"
                OnPageIndexChanging="gwGridDetall_PageIndexChanging" BackColor="White" CellPadding="4"
                Width="726px">
                <Columns>
                    <asp:CommandField ShowSelectButton="True" ButtonType="Image" SelectImageUrl="~/Images/Edit.png"
                        HeaderText="Editar" ShowDeleteButton="False" InsertVisible="False" ShowCancelButton="False">
                        <ItemStyle HorizontalAlign="Center"></ItemStyle>
                    </asp:CommandField>
                    <asp:BoundField DataField="IDSOLICITUD" HeaderText="Solicitud" ReadOnly="True" />
                    <asp:BoundField DataField="SOLIMPORT" HeaderText="Import" />
                    <asp:BoundField DataField="SOLDATADESPESA" HeaderText="Data despesa" DataFormatString="{0:dd/MM/yyyy}" />
                    <asp:BoundField DataField="SOLDESCRIPCIO" HeaderText="Descripció" />
                    <asp:BoundField DataField="SOLARXIU" HeaderText="Arxiu" ReadOnly="True" />
                </Columns>
                <FooterStyle BackColor="White" ForeColor="Gray" />
                <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                    Wrap="True" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                <SortedAscendingCellStyle BackColor="#F7F7F7" />
                <SortedAscendingHeaderStyle BackColor="#487575" />
                <SortedDescendingCellStyle BackColor="#E5E5E5" />
                <SortedDescendingHeaderStyle BackColor="#275353" />
            </asp:GridView>
            <br />
            <div class="styleBotoTancar">
                <asp:Button ID="btnTancar" runat="server" Text="Tancar" OnClick="btnTancar_Click" />
            </div>
            <br />
        </div>
    </div>
  </ContentTemplate>
 </asp:UpdatePanel>
</asp:Content>
