﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GuardarExcel.aspx.cs" Inherits="GestioDespeses.GuardarExcel" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/Styles/Site.css" rel="stylesheet" type="text/css" />
    <link href="~/Styles/General.css" rel="stylesheet" type="text/css" />
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div id="divGridDetall" runat="server" class="taula">
        <h4>
            Detall Històric sol·licituds
        </h4>
        <br />
        <div class="divGrid">
            <asp:GridView ID="gwGridDetallHistoric" runat="server" EmptyDataText="Sense dades"
                ShowNewItemButton="false" DataKeyNames="IDSOLICITUD" AutoGenerateColumns="False"
                AllowSorting="True" MouseOverColor="Transparent" NewInLine="False" ShowWhenEmpty="True"
                GridLines="Horizontal" AllowPaging="True" CssClass="columna" BackColor="White"
                CellPadding="4" Width="828px">
                <Columns>
                    <asp:BoundField DataField="USUDNI" HeaderText="DNI" SortExpression="USUDNI" ReadOnly="True" />
                    <asp:BoundField DataField="USUCOGNOM" HeaderText="Cognoms, Nom" SortExpression="USUCOGNOM"
                        ReadOnly="True" />
                    <asp:BoundField DataField="IDSOLICITUD" HeaderText="Sol·licitud" SortExpression="IDSOLICITUD"
                        ConvertEmptyStringToNull="true" ReadOnly="True" />
                    <asp:BoundField DataField="SOLESTAT" HeaderText="Estat" SortExpression="SOLESTAT"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATADESPESA" HeaderText="Data despesa" DataFormatString="{0:dd/MM/yyyy}"
                        SortExpression="SOLDATADESPESA" ReadOnly="True" />
                    <asp:BoundField DataField="TIPDESCRIPCIO" HeaderText="Tipologia" SortExpression="TIPDESCRIPCIO"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLDESCRIPCIO" HeaderText="Descripció" SortExpression="SOLDESCRIPCIO"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLIMPORT" HeaderText="Import" SortExpression="SOLIMPORT"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLNUMREGISTRE" HeaderText="Núm. Registre" SortExpression="SOLNUMREGISTRE"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATAALTA" HeaderText="Data alta" DataFormatString="{0:dd/MM/yyyy}"
                        SortExpression="SOLDATAALTA" ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATAFI" HeaderText="Data fi" DataFormatString="{0:dd/MM/yyyy}"
                        SortExpression="SOLDATAFI" ReadOnly="True" />
                    <asp:BoundField DataField="SOLARXIU" HeaderText="Arxiu" ReadOnly="True" />
                </Columns>
                <FooterStyle BackColor="White" ForeColor="Gray" />
                <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                    Wrap="True" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                <SortedAscendingCellStyle BackColor="#F7F7F7" />
                <SortedAscendingHeaderStyle BackColor="#487575" />
                <SortedDescendingCellStyle BackColor="#E5E5E5" />
                <SortedDescendingHeaderStyle BackColor="#275353" />
            </asp:GridView>
            <br />
            <div class="styleBotoTancar">
                <asp:Button ID="btnExcel" runat="server" Text="Excel" OnClick="btnExcel_Click" ToolTip="Exportar en format Excel" />
                <asp:Button ID="btnTancar" runat="server" Text="Tancar" OnClick="btnTancar_Click" />
            </div>
            <br />
        </div>
        <div class="divGrid">
            <asp:GridView ID="GridHistoricAdmin" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                DataKeyNames="IDSOLICITUD" AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                NewInLine="False" ShowWhenEmpty="True" GridLines="Horizontal" AllowPaging="True"
                CssClass="columna" BackColor="White" CellPadding="4" Width="828px">
                <Columns>
                    <asp:BoundField DataField="USUDNI" HeaderText="DNI" SortExpression="USUDNI" ReadOnly="True" />
                    <asp:BoundField DataField="USUCOGNOM" HeaderText="Cognoms, Nom" SortExpression="USUCOGNOM"
                        ReadOnly="True" />
                    <asp:BoundField DataField="IDSOLICITUD" HeaderText="Sol·licitud" SortExpression="IDSOLICITUD"
                        ConvertEmptyStringToNull="true" ReadOnly="True" />
                    <asp:BoundField DataField="SOLESTAT" HeaderText="Estat" SortExpression="SOLESTAT"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATADESPESA" HeaderText="Data despesa" DataFormatString="{0:dd/MM/yyyy}"
                        SortExpression="SOLDATADESPESA" ReadOnly="True" />
                    <asp:BoundField DataField="TIPDESCRIPCIO" HeaderText="Tipologia" SortExpression="TIPDESCRIPCIO"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLDESCRIPCIO" HeaderText="Descripció" SortExpression="SOLDESCRIPCIO"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLIMPORT" HeaderText="Import" SortExpression="SOLIMPORT"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLNUMREGISTRE" HeaderText="Núm. Registre" SortExpression="SOLNUMREGISTRE"
                        ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATAALTA" HeaderText="Data alta" DataFormatString="{0:dd/MM/yyyy}"
                        SortExpression="SOLDATAALTA" ReadOnly="True" />
                    <asp:BoundField DataField="SOLDATAFI" HeaderText="Data fi" DataFormatString="{0:dd/MM/yyyy}"
                        SortExpression="SOLDATAFI" ReadOnly="True" />
                    <asp:BoundField DataField="DEPDESCRIPCIO" HeaderText="Departament" ReadOnly="True" />
                    <asp:BoundField DataField="SOLARXIU" HeaderText="Arxiu" ReadOnly="True" />
                </Columns>
                <FooterStyle BackColor="White" ForeColor="Gray" />
                <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                    Wrap="True" />
                <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                <SortedAscendingCellStyle BackColor="#F7F7F7" />
                <SortedAscendingHeaderStyle BackColor="#487575" />
                <SortedDescendingCellStyle BackColor="#E5E5E5" />
                <SortedDescendingHeaderStyle BackColor="#275353" />
            </asp:GridView>
            <br />
            <div class="styleBotoTancar">
                <asp:Button ID="Button1" runat="server" Text="Excel" OnClick="btnExcel_Click" ToolTip="Exportar en format Excel" />
                <asp:Button ID="Button2" runat="server" Text="Tancar" OnClick="btnTancar_Click" />
            </div>
            <br />
        </div>
    </div>
    </form>
</body>
</html>
