﻿using System;

namespace GestioDespeses
{
    /// <summary>
    /// Omplir GridView per mostrar les dades en format Excel
    /// </summary>
    public partial class GuardarExcel : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["gwGridDetallHistoric"] != null)
            {
                //dades grid detall històric
                this.gwGridDetallHistoric.DataSource = Session["gwGridDetallHistoric"];
                gwGridDetallHistoric.DataBind();
                gwGridDetallHistoric.AllowPaging = false;
                //Exportar dades en format Excel
                GridViewExportUtil.Export("DetallHistoric.xls", this.gwGridDetallHistoric);
            }
            if (Session["gwGridDetallHistoricAdmin"] != null)
            {
                //dades grid detall històric administrador
                this.GridHistoricAdmin.DataSource = Session["gwGridDetallHistoricAdmin"];
                GridHistoricAdmin.DataBind();
                GridHistoricAdmin.AllowPaging = false;
                GridViewExportUtil.Export("DetallHistoric.xls", this.GridHistoricAdmin);
            }
        }


        protected void btnExcel_Click(object sender, EventArgs e)
        {
            // gwGridDetallHistoric.AllowPaging = false;
            // GridViewExportUtil.Export("DetallHistoric.xls", this.gwGridDetallHistoric);
        }

        protected void btnTancar_Click(object sender, EventArgs e)
        {
            //  Response.Redirect("~/Historic.aspx");
        }
    }
}