﻿<%@ Page Title="Historic solicituds" Language="C#" MasterPageFile="~/Site.master"
    AutoEventWireup="true" CodeBehind="Historic.aspx.cs" Inherits="GestioDespeses.Historic" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" EnableScriptGlobalization="true"
        runat="server">
    </asp:ToolkitScriptManager>
    <div align="left" class="content">
        <h3>
            Històric despeses
        </h3>
        <p>
            <asp:Label ID="lbTipologia" runat="server" Text="Tipologia" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:DropDownList ID="ddlTipologia" runat="server" AutoPostBack="True" DataSourceID="EntityDataSource1"
                DataTextField="TIPDESCRIPCIO" DataValueField="TIPDESCRIPCIO" 
                AppendDataBoundItems="True">
                <asp:ListItem></asp:ListItem>
            </asp:DropDownList>
            <asp:EntityDataSource ID="EntityDataSource1" runat="server" ConnectionString="name=SolicitudsEntities"
                DefaultContainerName="SolicitudsEntities" EnableFlattening="False" EntitySetName="DBTIPOLOGIA"
                Select="it.[TIPDESCRIPCIO]">
            </asp:EntityDataSource>
            <asp:ListSearchExtender ID="DropDownList1_ListSearchExtender" runat="server" Enabled="True"
                TargetControlID="ddlTipologia">
            </asp:ListSearchExtender>
            <br />
            <asp:Label ID="lbDataInici" runat="server" Text="Data Inici" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:TextBox ID="txtDataInici" runat="server" Width="100px"></asp:TextBox>
            <asp:Image ID="btnCalendar" runat="server" ImageUrl="~/Images/Calendari.png" CssClass="image" />
            <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtDataInici"
                PopupButtonID="btnCalendar">
            </asp:CalendarExtender>           
            <br />
            <asp:Label ID="lbDataFi" runat="server" Text="Data Fi" CssClass="labelConsultar"
                Width="90px"></asp:Label>
            <asp:TextBox ID="txtDataFi" runat="server" Width="100px"></asp:TextBox>
            <asp:Image ID="btnCalendar2" runat="server" ImageUrl="~/Images/Calendari.png" CssClass="image" />
            <asp:CalendarExtender ID="CalendarExtender2" runat="server" TargetControlID="txtDataFi"
                PopupButtonID="btnCalendar2">
            </asp:CalendarExtender>
              <asp:Label ID="Label1" runat="server" Width="60px"></asp:Label>
            <asp:ImageButton ID="ImageButton2" runat="server" Text="Refresh" OnClick="btnNetejar_Click"
                ImageUrl="~/Images/reload.png" ToolTip="Netejar filtre" CssClass="cssButonsRefresh" />
            <br />
        </p>
        <asp:Button ID="btnCercar" runat="server" Text="Cercar" CssClass="btnAfegir" Style="margin-left: 100px"
            OnClick="btnCercar_Click"></asp:Button>
    </div>
    <br />
    <asp:UpdatePanel ID="UpdatePanelHistoric" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div id="gwHistoric" visible="false" runat="server" class="taula">
                <h4>
                    Resultat de la cerca
                </h4>
                <br />
                <div class="divGrid">
                    <asp:GridView ID="gwGridHistoric" runat="server" EmptyDataText="Sense dades" ShowNewItemButton="false"
                        AutoGenerateColumns="False" AllowSorting="True" MouseOverColor="Transparent"
                        NewInLine="False" ShowWhenEmpty="True" OnSelectedIndexChanging="gwGridHistoric_SelectedIndexChanging"
                        ForeColor="#333333" GridLines="None" AllowPaging="True" CssClass="columna" DataKeyNames="idsolicitud"
                        Width="617px" BackColor="White" CellPadding="4">
                        <Columns>
                            <asp:CommandField ShowSelectButton="True" ButtonType="Image" SelectImageUrl="~/Images/Detall.png"
                                HeaderText="Detall" ShowDeleteButton="False" InsertVisible="False" ShowCancelButton="False">
                                <ItemStyle HorizontalAlign="Center"></ItemStyle>
                            </asp:CommandField>
                            <asp:BoundField DataField="IDSOLICITUD" HeaderText="Quantitat" ReadOnly="True" />
                            <asp:BoundField DataField="TIPDESCRIPCIO" HeaderText="Tipologia" />
                            <asp:BoundField DataField="SOLIMPORT" HeaderText="Total Cost" />
                            <asp:BoundField DataField="SOLDATAALTA" HeaderText="Data Inici" DataFormatString="{0:dd/MM/yyyy}" />
                            <asp:BoundField DataField="SOLDATAFI" HeaderText="Data Fi" DataFormatString="{0:dd/MM/yyyy}" />
                            <asp:BoundField DataField="SOLARXIU" HeaderText="Arxiu" ReadOnly="True" />
                        </Columns>
                        <FooterStyle BackColor="White" ForeColor="Gray" />
                        <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                            Wrap="True" />
                        <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                        <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                        <SortedAscendingCellStyle BackColor="#F7F7F7" />
                        <SortedAscendingHeaderStyle BackColor="#487575" />
                        <SortedDescendingCellStyle BackColor="#E5E5E5" />
                        <SortedDescendingHeaderStyle BackColor="#275353" />
                    </asp:GridView>
                    <br />
                </div>
            </div>
            <div id="divGridDetall" visible="false" runat="server" class="taula">
                <h4>
                    Detall Històric sol·licituds
                </h4>
                <br />
                <div class="divGrid">
                    <asp:GridView ID="gwGridDetallHistoric" runat="server" EmptyDataText="Sense dades"
                        ShowNewItemButton="false" DataKeyNames="IDSOLICITUD" AutoGenerateColumns="False"
                        AllowSorting="True" MouseOverColor="Transparent" NewInLine="False" ShowWhenEmpty="True"
                        GridLines="Horizontal" AllowPaging="True" CssClass="columna" BackColor="White"
                        CellPadding="4" Width="828px">
                        <Columns>
                            <asp:BoundField DataField="USUDNI" HeaderText="DNI" SortExpression="USUDNI" ReadOnly="True" />
                            <asp:BoundField DataField="USUCOGNOM" HeaderText="Cognoms, Nom" SortExpression="USUCOGNOM"
                                ReadOnly="True" />
                            <asp:BoundField DataField="IDSOLICITUD" HeaderText="Sol·licitud" SortExpression="IDSOLICITUD"
                                ConvertEmptyStringToNull="true" ReadOnly="True" />
                            <asp:BoundField DataField="SOLESTAT" HeaderText="Estat" SortExpression="SOLESTAT"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLDATADESPESA" HeaderText="Data despesa" DataFormatString="{0:dd/MM/yyyy}"
                                SortExpression="SOLDATADESPESA" ReadOnly="True" />
                            <asp:BoundField DataField="TIPDESCRIPCIO" HeaderText="Tipologia" SortExpression="TIPDESCRIPCIO"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLDESCRIPCIO" HeaderText="Descripció" SortExpression="SOLDESCRIPCIO"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLIMPORT" HeaderText="Import" SortExpression="SOLIMPORT"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLNUMREGISTRE" HeaderText="Núm. Registre" SortExpression="SOLNUMREGISTRE"
                                ReadOnly="True" />
                            <asp:BoundField DataField="SOLDATAALTA" HeaderText="Data alta" DataFormatString="{0:dd/MM/yyyy}"
                                SortExpression="SOLDATAALTA" ReadOnly="True" />
                            <asp:BoundField DataField="SOLDATAFI" HeaderText="Data fi" DataFormatString="{0:dd/MM/yyyy}"
                                SortExpression="SOLDATAFI" ReadOnly="True" />
                            <asp:BoundField DataField="SOLARXIU" HeaderText="Arxiu" ReadOnly="True" />
                        </Columns>
                        <FooterStyle BackColor="White" ForeColor="Gray" />
                        <HeaderStyle BackColor="#666666" Font-Bold="True" ForeColor="White" HorizontalAlign="Center"
                            Wrap="True" />
                        <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Left" BorderColor="#CC0000" />
                        <RowStyle BackColor="White" ForeColor="Black" HorizontalAlign="Center" />
                        <SelectedRowStyle BackColor="#339966" Font-Bold="True" ForeColor="White" />
                        <SortedAscendingCellStyle BackColor="#F7F7F7" />
                        <SortedAscendingHeaderStyle BackColor="#487575" />
                        <SortedDescendingCellStyle BackColor="#E5E5E5" />
                        <SortedDescendingHeaderStyle BackColor="#275353" />
                    </asp:GridView>
                    <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/Excel.png" 
                        OnClick="ImageButton1_Click" ToolTip="Extreure detall sol·licituds en format Excel" />
                    <br />
                    <div class="styleBotoTancar">
                        <asp:Button ID="btnTancar" runat="server" Text="Tancar" OnClick="btnTancar_Click" />
                    </div>
                    <br />
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
