﻿using System.Collections.Generic;
using Dades;
using GestioDespeses;

namespace Negoci
{
    /// <summary>
    /// Arxiu que s'adjunta amb l'alta de la despesa
    /// </summary>
    public class BLArxiu
    {
        //Afegir arxiu
        public static void AfegirArxiu(int solicitud, string nom, int mida, byte[] arxiu)
        {
            DAArxiu arx = new DAArxiu();
            arx.AfegirArxiu(solicitud, nom, mida, arxiu);
        }
        //Actualitzar arxiu
        public static void ActualitzarArxiu(int solicitud, string nom, int mida, byte[] arxiu)
        {
            DAArxiu arx = new DAArxiu();
            arx.ActualitzarArxiu(solicitud, nom, mida, arxiu);
        }
        //Comprovar si el id solicitud existeix en la taula Arxiu
        public static bool ExisteixArxiu(int idSolicitud)
        {
            return new DASolicitud().Existeix(idSolicitud);
        }
        //Llista dades arxiu
        public static List<DBARXIUSOLICITUD> GetByArxiu(int idarxiu)
        {
            return new DAArxiu().GetByArxiu(idarxiu);
        }
    }
}
