﻿using System.Collections.Generic;
using Dades;
using Entities;
using GestioDespeses;

namespace Negoci
{
    /// <summary>
    /// Incidències aplicació obertes per els usuaris
    /// </summary>
    public class BLIncidencies
    {
        //Llista totes les incidències Obertes
        public static List<DBINCIDENCIES> GetAll()
        {
            return new DAIncidencies().GetAll();
        }
        //Retorna dades incidència indicada
        public static DBINCIDENCIES GetIncidenciesId(int incidencia)
        {
            return new DAIncidencies().GetIncidenciesId(incidencia);
        }
        //Actualitza indicidència quan és dóna resposta.
        public static void ActualitzarIncidencia(clsIncidencies incidencia)
        {
            DAIncidencies act = new DAIncidencies();
            act.ActualitzarIncidencia(incidencia);
        }
        //Alta nova incidència
        public static void AfegirIncidencia(clsIncidencies incidencia)
        {
            DAIncidencies act = new DAIncidencies();
            act.AfegirIncidencia(incidencia);
        }
    }
}
