﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace Negoci
{
    public class clsDataTable
    {
        /// <summary>
        /// Format de les taules. Definim les columnes
        /// </summary>
        public static DataTable TaulaEditar()
        {
            DataTable dades = new DataTable();

            dades.Columns.Add("idsolicitud");
            dades.Columns.Add("solimport");
            dades.Columns.Add("soldatadespesa");
            dades.Columns.Add("soldescripcio");
            dades.Columns.Add("solarxiu");

            dades.AcceptChanges();
            return dades;
        }

        public static DataTable TaulaHistoric()
        {
            DataTable filtered = new DataTable();

            filtered.Columns.Add("idsolicitud");
            filtered.Columns.Add("tipdescripcio");
            filtered.Columns.Add("solimport");
            filtered.Columns.Add("soldataalta");
            filtered.Columns.Add("soldatafi");
            filtered.Columns.Add("solarxiu");

            filtered.AcceptChanges();
            return filtered;
        }

        public static DataTable TaulaHistoricAdmin()
        {
            DataTable filtered = new DataTable();

            filtered.Columns.Add("idsolicitud");
            filtered.Columns.Add("depdescripcio");
            filtered.Columns.Add("solimport");
            filtered.Columns.Add("soldataalta");
            filtered.Columns.Add("soldatafi");
            filtered.Columns.Add("solarxiu");

            filtered.AcceptChanges();
            return filtered;
        }

        public static DataTable TaulaDetallHistoric()
        {
            DataTable filtered = new DataTable();

            filtered.Columns.Add("usudni");
            filtered.Columns.Add("usucognom");
            filtered.Columns.Add("idsolicitud");
            filtered.Columns.Add("solestat");
            filtered.Columns.Add("soldatadespesa");
            filtered.Columns.Add("tipdescripcio");
            filtered.Columns.Add("soldescripcio");
            filtered.Columns.Add("solimport");
            filtered.Columns.Add("solnumregistre");
            filtered.Columns.Add("soldataalta");
            filtered.Columns.Add("soldatafi");
            filtered.Columns.Add("solarxiu");

            filtered.AcceptChanges();
            return filtered;
        }

        public static DataTable TaulaPendentAutoritzar()
        {
            DataTable filtered = new DataTable();

            filtered.Columns.Add("usudni");
            filtered.Columns.Add("usucognom");
            filtered.Columns.Add("idsolicitud");
            filtered.Columns.Add("solestat");
            filtered.Columns.Add("caldescripcio");
            filtered.Columns.Add("soldatadespesa");
            filtered.Columns.Add("tipdescripcio");
            filtered.Columns.Add("soldescripcio");
            filtered.Columns.Add("solimport");
            filtered.Columns.Add("solnumregistre");
            filtered.Columns.Add("soldataalta");

            filtered.AcceptChanges();
            return filtered;
        }

        public static DataTable TaulaIdSolicitud()
        {
            DataTable filtered = new DataTable();

            filtered.Columns.Add("idsolicitud");
            filtered.AcceptChanges();
            return filtered;
        }

        public static DataTable TaulaPendents()
        {
            DataTable dades = new DataTable();

            dades.Columns.Add("idincidencia");
            dades.Columns.Add("usudni");
            dades.Columns.Add("usucognom");
            dades.Columns.Add("incbreudescripcio");
            dades.Columns.Add("incestat");
            dades.Columns.Add("incalta");

            dades.AcceptChanges();
            return dades;
        }

        public static DataTable TaulaDetallHistoricAdmin()
        {
            DataTable filtered = new DataTable();

            filtered.Columns.Add("usudni");
            filtered.Columns.Add("usucognom");
            filtered.Columns.Add("idsolicitud");
            filtered.Columns.Add("solestat");
            filtered.Columns.Add("soldatadespesa");
            filtered.Columns.Add("tipdescripcio");
            filtered.Columns.Add("soldescripcio");
            filtered.Columns.Add("solimport");
            filtered.Columns.Add("solnumregistre");
            filtered.Columns.Add("soldataalta");
            filtered.Columns.Add("soldatafi");
            filtered.Columns.Add("solarxiu");
            filtered.Columns.Add("depdescripcio");

            filtered.AcceptChanges();
            return filtered;
        }

    }
}